DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OFConfigFileNode Class Reference

this class maintains one configuration file entry (key-value pair) and the links that comprise the configuration file tree structure. More...

## Public Member Functions
| OFConfigFileNode (const char *keyword)
| constructor. More...
| ~OFConfigFileNode ()
| destructor, recursively deletes whole tree
const char * | getKeyword () const
| return keyword as C string
const char * | getValue () const
| return current value as C string
void | setValue (const char *c)
| set value from C string More...
OFBool | match (const char *c) const
| check if keyword matches given string More...
OFBool | less (const char *c) const
| check if keyword compares "<" to given string More...
OFConfigFileNode * | getBrother () const
| return pointer to next object in tree on same level More...
OFConfigFileNode * | getSon () const
| return pointer to next object in tree on lower level More...
void | setBrother (OFConfigFileNode *brother)
| set pointer to next object in tree on same level More...
void | setSon (OFConfigFileNode *son)
| set pointer to next object in tree on lower level More...
void | print (STD_NAMESPACE ostream &out, unsigned int level)
| print the content of this node to an output stream More...

## Private Member Functions
| OFConfigFileNode (const OFConfigFileNode &arg)
| private undefined copy constructor
OFConfigFileNode & | operator= (const OFConfigFileNode &arg)
| private undefined copy assignment operator

## Private Attributes
OFConfigFileNode * | brother_
| pointer to next object in tree on same level
OFConfigFileNode * | son_
| pointer to next object in tree on lower level
OFString | keyword_
| configuration keyword
OFString | value_
| configuration value

## Detailed Description

this class maintains one configuration file entry (key-value pair) and the links that comprise the configuration file tree structure.

Internal use only.

## Constructor & Destructor Documentation

## ◆ OFConfigFileNode()

OFConfigFileNode::OFConfigFileNode | ( | const char * | keyword | ) |

constructor.

Parameters

  keyword | configuration keyword, copied into this object

## Member Function Documentation

## ◆ getBrother()

OFConfigFileNode* OFConfigFileNode::getBrother | ( |  | ) | const
| inline

return pointer to next object in tree on same level

Returns
  pointer to next object, NULL if empty

## ◆ getSon()

OFConfigFileNode* OFConfigFileNode::getSon | ( |  | ) | const
| inline

return pointer to next object in tree on lower level

Returns
  pointer to lower object, NULL if empty

## ◆ less()

OFBool OFConfigFileNode::less | ( | const char * | c | ) | const
| inline

check if keyword compares "<" to given string

Parameters

  c | C string, must not be NULL

Returns
  true if equal, false otherwise

## ◆ match()

OFBool OFConfigFileNode::match | ( | const char * | c | ) | const
| inline

check if keyword matches given string

Parameters

  c | C string, must not be NULL

Returns
  true if equal, false otherwise

## ◆ print()

void OFConfigFileNode::print | ( | STD_NAMESPACE ostream & | out,
|  | unsigned int | level
| ) |  |

print the content of this node to an output stream

Parameters

  out | output stream to print to
  level | tree depth (level)

## ◆ setBrother()

void OFConfigFileNode::setBrother | ( | OFConfigFileNode * | brother | ) |
| inline

set pointer to next object in tree on same level

Parameters

  brother | pointer to next object in tree

## ◆ setSon()

void OFConfigFileNode::setSon | ( | OFConfigFileNode * | son | ) |
| inline

set pointer to next object in tree on lower level

Parameters

  son | pointer to next object in tree

## ◆ setValue()

void OFConfigFileNode::setValue | ( | const char * | c | ) |
| inline

set value from C string

Parameters

  c | C string, must not be NULL

The documentation for this class was generated from the following file:

- ofstd/include/dcmtk/ofstd/ofconfig.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1